# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.CDORevisionUnchunker

Packages that use CDORevisionUnchunker
Package
Description
org.eclipse.emf.cdo.common.commit.handler
Some useful commit info handler implementations.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORevisionUnchunker in org.eclipse.emf.cdo.common.commit.handler

Constructors in org.eclipse.emf.cdo.common.commit.handler with parameters of type CDORevisionUnchunker
Modifier
Constructor
Description
``
`BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry, CDORevisionUnchunker unchunker)`

## Uses of CDORevisionUnchunker in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDORevisionUnchunker
Modifier and Type
Method
Description
`CDORevisionUnchunker`
CDODataOutput.`getRevisionUnchunker()`

## Uses of CDORevisionUnchunker in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDORevisionUnchunker
Modifier and Type
Method
Description
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider, CDORevisionUnchunker unchunker)`

## Uses of CDORevisionUnchunker in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDORevisionUnchunker
Modifier and Type
Method
Description
`CDORevisionUnchunker`
CDODataOutputImpl.`getRevisionUnchunker()`

## Uses of CDORevisionUnchunker in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDORevisionUnchunker in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalRepository`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDORevisionUnchunker in org.eclipse.emf.spi.cdo

Subinterfaces of CDORevisionUnchunker in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSession`
If the meaning of this type isn't clear, there really should be more of a description here...